Bug 1721458 - php-horde-Horde-Db 2.4.0 does not work properly with Postgres 10
Summary: php-horde-Horde-Db 2.4.0 does not work properly with Postgres 10
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php-horde-Horde-Db
Version: 32
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-18 10:50 UTC by Solomon Peachy
Modified: 2021-03-04 20:09 UTC (History)
1 user (show)

Fixed In Version: php-horde-Horde-Db-2.4.1-1.fc32 php-horde-Horde-Db-2.4.1-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-03 23:26:17 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github horde Db pull 1 0 'None' open Fix for sequence changes im Postgresql 10 2020-11-23 17:56:43 UTC

Description Solomon Peachy 2019-06-18 10:50:52 UTC
Description of problem:

Out of the box, Horde on Fedora (using Postgres) does not work.  You get '500' errors when trying to perform many operations using the web interface and operations often do not take.

This is indicative of the errors seen in the logs:

SQL QUERY FAILED: SQLSTATE[42703]: Undefined column: 7 ERROR: column "increment_by" does not exist#012LINE 1: ... (SELECT COALESCE(MAX("history_modseq") + (SELECT increment_...#012
^ #012#011SELECT setval('horde_histories_modseq_history_modseq_seq', (SELECT#012#011 COALESCE(MAX("history_modseq") + (SELECT increment_by FROM#012#011 horde_histories_modseq_hist
ory_modseq_seq), (SELECT min_value FROM#012#011 horde_histories_modseq_history_modseq_seq)) FROM#012#011 "horde_histories_modseq"), false) [pid 356 on line 236 of "/usr/share/php/Horde/Db/Adapter/Pdo/Base.php"]

In other words, badness.

Version-Release number of selected component (if applicable):

2.4.0  (Fedora 29 and Fedora 30)

Additional info:

Upstream _finally_ merged two patches that resolve this issue:

  https://github.com/horde/Db/commit/8819f8708acac4684e58d70241e8442f1696347b
  https://github.com/horde/Db/commit/f50a0b03d2688b1b9dbd78b9aa64c594bcb93d79

(Note that these patches do not quite correspond to the pull request referenced...)

Upstream has not yet generated a new release package, but due to the critical nature of these fixes, please re-spin the php-horde-Horde-Db packages on Fedora 29 and 30 with these patches.

Comment 1 Solomon Peachy 2019-12-05 15:35:38 UTC
Fedora 29 is EOL'd, but the badness still exists in the F30 and F31 packages.  

Any chance of getting these patches merged into Fedora while we wait for upstream to spit out a new release?

Comment 2 Ben Cotton 2020-11-03 16:47:06 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Solomon Peachy 2020-11-23 18:00:59 UTC
This is _still_ broken with F32 (and probably F33+ as well).

In addition, With Postgresql >= 12, there is another critical bug in the DB code.

Patch available in this upstream pull request:  https://github.com/horde/Db/pull/4

Comment 4 Fedora Update System 2021-02-24 08:03:45 UTC
FEDORA-2021-d8b8b19d58 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8b8b19d58

Comment 5 Fedora Update System 2021-02-24 08:03:51 UTC
FEDORA-2021-bc02842a27 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bc02842a27

Comment 6 Fedora Update System 2021-02-24 21:41:41 UTC
FEDORA-2021-d8b8b19d58 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d8b8b19d58`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d8b8b19d58

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-02-24 21:57:27 UTC
FEDORA-2021-bc02842a27 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bc02842a27`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bc02842a27

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-03-03 23:26:17 UTC
FEDORA-2021-d8b8b19d58 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2021-03-04 20:09:27 UTC
FEDORA-2021-bc02842a27 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.